## Apache Zeta Components Manual :: Docs For Class ezcGraphAxisBoxedLabelRenderer

### Graph::ezcGraphAxisBoxedLabelRenderer

### Class ezcGraphAxisBoxedLabelRenderer

Renders axis labels centered between two axis steps like normally used for bar charts. Used with other chart types this axis label renderer may cause unexpected results. You may use this renderer by assigning it to one of the charts axis.

1. $chart->xAxis->axisLabelRenderer=new ezcGraphAxisBoxedLabelRenderer ();

Source for this file: /Graph/src/renderer/axis_label_boxed.php

    ezcBaseOptions
       |
       --ezcGraphAxisLabelRenderer
          |
          --ezcGraphAxisBoxedLabelRenderer

Version: | //autogentag//

### Member Variables

protected ezcGraphVector | `$direction` Store direction for later coordinate modifications
protected array(ezcGraphStep) | `$steps` Store step array for later coordinate modifications
protected float | `$widthModifier` Store coordinate width modifier for later coordinate modifications

### Inherited Member Variables

From ezcGraphAxisLabelRenderer
protected | `ezcGraphAxisLabelRenderer::$driver`
From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcGraphCoordinate | `modifyChartDataPosition( $coordinate )` Modify chart data position
public void | `renderLabels( $renderer , $boundings , $start , $end , $axis , [ $innerBoundings = null] )` Render Axis labels

### Inherited Methods

From ezcGraphAxisLabelRenderer
public mixed | `ezcGraphAxisLabelRenderer::determineLineCuttingPoint()` Checks for the cutting point of two lines.
protected void | `ezcGraphAxisLabelRenderer::drawGrid()` Draw grid
protected void | `ezcGraphAxisLabelRenderer::drawNonRectangularGrid()` Draw non-rectangular grid lines grid
protected void | `ezcGraphAxisLabelRenderer::drawRectangularGrid()` Draw rectangular grid
public void | `ezcGraphAxisLabelRenderer::drawStep()` Draw single step on a axis
protected array | `ezcGraphAxisLabelRenderer::getAxisSpace()` Get axis space values
public ezcGraphBoundings | `ezcGraphAxisLabelRenderer::modifyChartBoundings()` Modify chart boundings
public ezcGraphCoordinate | `ezcGraphAxisLabelRenderer::modifyChartDataPosition()` Modify chart data position
public abstract void | `ezcGraphAxisLabelRenderer::renderLabels()` Render Axis labels
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### modifyChartDataPosition

ezcGraphCoordinate modifyChartDataPosition( ezcGraphCoordinate $coordinate )

Modify chart data position

Optionally additionally modify the coodinate of a data point

##### Parameters:

Name | Type | Description
--- | --- | ---
`$coordinate` | ezcGraphCoordinate | Data point coordinate

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphAxisLabelRenderer::modifyChartDataPosition()` | Modify chart data position

#### renderLabels

void renderLabels( ezcGraphRenderer $renderer , $boundings , ezcGraphCoordinate $start , ezcGraphCoordinate $end , ezcGraphChartElementAxis $axis , [ $innerBoundings = null] )

Render Axis labels

Render labels for an axis.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcGraphRenderer | Renderer used to draw the chart
`$boundings` | ezcGraphBoundings | Boundings of the axis
`$start` | ezcGraphCoordinate | Axis starting point
`$end` | ezcGraphCoordinate | Axis ending point
`$axis` | ezcGraphChartElementAxis | Axis instance
`$innerBoundings` | ezcGraphBoundings |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphAxisLabelRenderer::renderLabels()` | Render Axis labels

Documentation generated by phpDocumentor 1.4.3